Bug 720058 - (CVE-2009-5080) CVE-2009-5080 groff: improper handling of failed attempts to create temporary directories in eqn2graph/pic2graph/grap2graph
CVE-2009-5080 groff: improper handling of failed attempts to create temporary...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20090814,reported=2...
: Security
Depends On: 720060
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-08 17:35 EDT by Vincent Danen
Modified: 2016-06-10 17:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:42:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-07-08 17:35:42 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-5080 to
the following vulnerability:

Name: CVE-2009-5080
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-5080
Assigned: 20110630
Reference: http://openwall.com/lists/oss-security/2009/08/14/4
Reference: http://openwall.com/lists/oss-security/2009/08/14/5
Reference: http://cvsweb.openwall.com/cgi/cvsweb.cgi/Owl/packages/groff/groff-1.20.1-owl-tmp.diff
Reference: http://cvsweb.openwall.com/cgi/cvsweb.cgi/Owl/packages/groff/groff-1.20.1-owl-tmp.diff.diff?r1=1.1;r2=1.2;f=h

The (1) contrib/eqn2graph/eqn2graph.sh, (2)
contrib/grap2graph/grap2graph.sh, and (3)
contrib/pic2graph/pic2graph.sh scripts in GNU troff (aka groff) 1.21
and earlier do not properly handle certain failed attempts to create
temporary directories, which might allow local users to overwrite
arbitrary files via a symlink attack on a file in a temporary
directory, a different vulnerability than CVE-2004-1296.
Comment 1 Vincent Danen 2011-07-08 17:37:01 EDT
Created groff tracking bugs for this issue

Affects: fedora-all [bug 720060]
Comment 2 Fedora Update System 2012-06-07 19:01:20 EDT
groff-1.21-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2012-06-07 19:04:00 EDT
groff-1.21-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-06-07 19:08:35 EDT
groff-1.21-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Vincent Danen 2016-06-10 17:42:39 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.